Bug 818410 - config/documenttion for pop3 wrong
config/documenttion for pop3 wrong
Status: CLOSED WONTFIX
Product: Fedora EPEL
Classification: Fedora
Component: dbmail (Show other bugs)
el6
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 22:51 EDT by jasen
Modified: 2015-02-27 21:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-27 21:12:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jasen 2012-05-02 22:51:42 EDT
Description of problem:

out of the box pop3 doesn't work 

Version-Release number of selected component (if applicable):

"This is DBMail version 3.0.2"

How reproducible:

only tried once.

Steps to Reproduce:
1.  install dbmail 
2.  confiogure database settings
3.  start the service
4.  try to connect with a pop3 client. (or use "telnet localhost pop3" )
  
Actual results:

 tcp/ip connects but eventually times out with no activity

Expected results:

  working pop3

Additional info:

 As a work-around add a "banner = POP3 ready" setting in the [POP3] section. on the /etc/dbmail.conf file.   contrary to the dbmail.conf man page this setting does not appear to be optional.
Comment 1 Bernard Johnson 2012-05-26 01:43:44 EDT
Out of curiousity, what client are you using?
Comment 2 jasen 2012-05-27 18:36:50 EDT
Personally I don't use it.  I just administer it. Someone else was trying to use it and it thus became my problem.

For testing POP3 and IMAP I usually use "thunderbird"
or "evolution", but have used "pine" and "Heirloom mailx"
in the past too.  

Personally for reading/writitng mail I mainly use mutt against a local spool for inbound and against /usr/bin/sendmail for sending.
Comment 3 Bernard Johnson 2015-02-27 21:12:42 EST
Ok, so I took a long look at this and decided to not do anything.  While it may be a bug (if it still even exists), it should be filed upstream with a test case.  I'm not able to confirm it, and the dbmail.conf that is shipped with fedora is a slightly modified version of the upstream version.  These are the only changes we make, which is just enough to get it to work out of the box:

# make a couple of changes to the default dbmail.conf file:
# 1. default driver/authdriver sqlite/sql
# 2. effective uid/gid to dbmail/dbmail
sed -i 's/\(^driver\W*=\)\(\W*$\)/\1 sqlite/' dbmail.conf
sed -i -e 's,\(^db\W*=\)\(.*$\),\1 %{_localstatedir}/lib/dbmail/dbmail.db,'   \
       -e 's/\(^authdriver\W*=\)\(\W*$\)/\1 sql/'                             \
       -e 's/\(^EFFECTIVE_USER\W*=\)\(.*$\)/\1 dbmail/'                       \
       -e 's/\(^EFFECTIVE_GROUP\W*=\)\(.*$\)/\1 dbmail/' dbmail.conf

If any changes are upstreamed, they will automatically apply in future version here.

Note You need to log in before you can comment on or make changes to this bug.